Deskhero Developer Hub
Back to deskhero.com
Notifications

Set obsolete

Marks one of the calling User's own notifications as obsolete so it is hidden from the default notification lists, and returns the updated notification.

PUT /api/{tenant:minlength(2)}/v{version:apiVersion}/notifications/set_obsolete/{id}
Authorisation
Minimum role: USER

Request arguments

Name Type Source
idInt32
Request body example

Response

Status
200 (OK)
Type
DTO_notification
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_notification
NameTypeReadOnlyDescription
created_byDTO_reference_userReadOnlyCreated by
idInt32Id
entityENUM entityEntity
entity_idInt32Entity id
typeENUM notification_typeType
labelStringLabel
created_atDateTimeCreated at
obsolete_atDateTime (nullable)Obsolete at
read_atDateTime (nullable)Read at
DTO_reference_user
NameTypeReadOnlyDescription
profile_picStringReadOnlyProfile pic
emailStringReadOnlyEmail
idInt32Id
labelObjectReadOnlyLabel
ENUM entity
ValueNameDescription
0UNKNOWNUNKNOWN
1LISTLIST
2GROUPGROUP
3USERUSER
4LIST_ENTRYLIST_ENTRY
5TICKETTICKET
6SEARCHSEARCH
7INVOICEINVOICE
8KNOWLEDGE_BASEKNOWLEDGE_BASE
9SCRAPED_ITEMSCRAPED_ITEM
10FIELDFIELD
11TICKET_CONVERSATIONTICKET_CONVERSATION
12EXPORTEXPORT
13EXTERNAL_PRODUCTEXTERNAL_PRODUCT
14TEMPLATETEMPLATE
15PROFILE_APIPROFILE_API
16FAQFAQ
ENUM notification_type
ValueNameDescription
0UNKNOWNUNKNOWN
1NEW_TICKETNEW_TICKET
2ASSIGNED_TICKETASSIGNED_TICKET
3REPLIED_TICKETREPLIED_TICKET
21USER_MENTIONEDUSER_MENTIONED
31FAQ_SUGGESTEDNew SUGGESTED public FAQ items were generated and await review
41SLA_FIRST_REPLY_AT_RISKThe first-reply SLA deadline is inside the at-risk window
42SLA_FIRST_REPLY_BREACHEDThe first-reply SLA deadline has passed without a reply
43SLA_RESOLUTION_AT_RISKThe resolution SLA deadline is inside the at-risk window
44SLA_RESOLUTION_BREACHEDThe resolution SLA deadline has passed without the ticket being resolved

Generated Aug 4, 2026 18:37